## Plotting factor variables

## Usage

    plot.factor(x, y, legend.text = levels(y),...)

## Arguments

`x,y` | numeric or factor. `y` may be missing.
`legend.text` | a vector of text used to construct a legend for the plot. Only used if `y` is present and a factor.
`...` | Further arguments to `plot`, see also `par`.

## Description

This functions implements a ``scatterplot'' method for `factor` arguments of the generic `plot` function. Actually, `boxplot` or `barplot` are used when appropriate.

## See Also

`plot.default`, `plot.formula`, `barplot`, `boxplot`.

## Examples

    data(plants)
    plot(plants)                             # -> plot.data.frame
    plot(weight ~ group, data=plants)        # numeric vector ~ factor
    plot(cut(weight,2) ~ group, data=plants) # factor ~ factor

[Package Contents]